Ogre::D3D9Resource Class Reference

Represents a Direct3D rendering resource. More...

`#include <OgreD3D9Resource.h>`

Inheritance diagram for Ogre::D3D9Resource:
[legend]

List of all members.

## Public Member Functions

virtual void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
| D3D9Resource ()
virtual | ~D3D9Resource ()

## Static Public Member Functions

static void | lockDeviceAccess ()
static void | unlockDeviceAccess ()

## Detailed Description

Represents a Direct3D rendering resource.

Provide unified interface to handle various device states.

Definition at line 39 of file OgreD3D9Resource.h.

## Constructor & Destructor Documentation

Ogre::D3D9Resource::D3D9Resource | ( |  | ) |

virtual Ogre::D3D9Resource::~D3D9Resource | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Ogre::D3D9Resource::lockDeviceAccess | ( |  | ) | `[static]`

virtual void Ogre::D3D9Resource::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) | `[virtual]`

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9GpuFragmentProgram, Ogre::D3D9GpuVertexProgram, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9VertexDeclaration, Ogre::D3D9HardwareIndexBuffer, and Ogre::D3D9HardwareVertexBuffer.

Definition at line 46 of file OgreD3D9Resource.h.

virtual void Ogre::D3D9Resource::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) | `[virtual]`

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9GpuFragmentProgram, Ogre::D3D9GpuVertexProgram, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9VertexDeclaration, Ogre::D3D9HardwareIndexBuffer, and Ogre::D3D9HardwareVertexBuffer.

Definition at line 49 of file OgreD3D9Resource.h.

virtual void Ogre::D3D9Resource::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) | `[virtual]`

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9HardwareIndexBuffer, and Ogre::D3D9HardwareVertexBuffer.

Definition at line 53 of file OgreD3D9Resource.h.

virtual void Ogre::D3D9Resource::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) | `[virtual]`

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9HardwareIndexBuffer, and Ogre::D3D9HardwareVertexBuffer.

Definition at line 57 of file OgreD3D9Resource.h.

static void Ogre::D3D9Resource::unlockDeviceAccess | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- OgreD3D9Resource.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:49